Gecode::FlatZinc::SetVarSpec Class Reference

Specification for set variables. More...

`#include <varspec.hh>`

## Public Member Functions

| SetVarSpec (bool introduced, bool funcDep)
| SetVarSpec (const Option< AST::SetLit * > &v, bool introduced, bool funcDep)
| SetVarSpec (AST::SetLit *v, bool introduced, bool funcDep)
| SetVarSpec (const Alias &eq, bool introduced, bool funcDep)
| ~SetVarSpec (void)
Public Member Functions inherited from Gecode::FlatZinc::VarSpec
virtual | ~VarSpec (void)
| Destructor.
| VarSpec (bool introduced0, bool funcDep0)
| Constructor.

## Public Attributes

Option< AST::SetLit * > | upperBound
Public Attributes inherited from Gecode::FlatZinc::VarSpec
int | i
| Variable index.
bool | alias
| Whether the variable aliases another variable.
bool | assigned
| Whether the variable is assigned.
bool | introduced
| Whether the variable was introduced in the mzn2fzn translation.
bool | funcDep
| Whether the variable functionally depends on another variable.

## Detailed Description

Specification for set variables.

Definition at line 139 of file varspec.hh.

## Constructor & Destructor Documentation

## SetVarSpec() [1/4]

Gecode::FlatZinc::SetVarSpec::SetVarSpec | ( | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 142 of file varspec.hh.

## SetVarSpec() [2/4]

Gecode::FlatZinc::SetVarSpec::SetVarSpec | ( | const Option< AST::SetLit * > & | v,
|  | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 146 of file varspec.hh.

## SetVarSpec() [3/4]

Gecode::FlatZinc::SetVarSpec::SetVarSpec | ( | AST::SetLit * | v,
|  | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 150 of file varspec.hh.

## SetVarSpec() [4/4]

Gecode::FlatZinc::SetVarSpec::SetVarSpec | ( | const Alias & | eq,
|  | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 155 of file varspec.hh.

## ~SetVarSpec()

Gecode::FlatZinc::SetVarSpec::~SetVarSpec | ( | void |  | ) |

inline

Definition at line 159 of file varspec.hh.

## Member Data Documentation

## upperBound

Option<AST::SetLit*> Gecode::FlatZinc::SetVarSpec::upperBound

Definition at line 141 of file varspec.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/varspec.hh